## org.eclipse.jst.jsf.context.structureddocument
Class AbstractStructuredDocumentContext

    java.lang.Object
      org.eclipse.jst.jsf.context.AbstractDocumentContext
          org.eclipse.jst.jsf.context.structureddocument.AbstractStructuredDocumentContext

All Implemented Interfaces:
  IDocumentContext, IModelContext, IStructuredDocumentContext

    public abstract class AbstractStructuredDocumentContext

extends AbstractDocumentContext
implements IStructuredDocumentContext

A convenience abstract super-class for context implementing the IStructuredDocumentContext interface Class may be sub-classed by clients

Constructor Summary
`AbstractStructuredDocumentContext()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapterClass)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.context.structureddocument.IStructuredDocumentContext
`getDocumentPosition, getStructuredDocument`

Constructor Detail

### AbstractStructuredDocumentContext

    public AbstractStructuredDocumentContext()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapterClass)

  Overrides:
    `getAdapter` in class `AbstractDocumentContext`
  See Also:
    `AbstractDocumentContext.getAdapter(java.lang.Class)`